GrADS v2 at opengrads.org - ChangeLog

2011-10-25 <dasilva@opengrads.org>, Version GrADS 2.0.1.oga.1
	* bug fix by cola: src/gagmap.c
	* Adds 'set grid on|off style color thickness' (Mike Fiorino)
	
2011-10-07 <dasilva@opengrads.org>, Version GrADS 2.0.0.oga.1
	* added geos5 GUI script
	* added sgrads (Secure GrADS) for web services
	* extensions/mf - updated from wxmap2 repo on 10/7/11
	* merged with v2.0.0 from COLA
	Features:
	    * New shaded contouring algorithm: "set gxout shade2"
	      Polygons are closed, have no holes, do not overlap, and are as large and few in number as is feasible 
	      Use of -1 for a color # will suppress drawing of the shaded contour, making it effectively transparent
	    * Legacy shaded contouring routine: "set gxout shade1" 
	    * "set gxout shaded" is now an alias for legacy shaded contouring routine
	    * Support for creating polygon shapefiles with new option "-poly" to "set shp" command 
	    * Support for creating polygon KML files with new option "-poly" to "set kml" command 
	    * 1D loglog plots with new command "set log1d"
	    * New environment variable GASHP, contains 1 or more directories that may contain shapefiles.
	      GASHP delimiters are space, semicolon, comma, or colon. Algorithm is:
	        1. Tries to open filename as provided by user	 
	        2. Parses GASHP and prepends each dir to filename
	        3. Prepends GADDIR directory (only one dir) to filename    
	    * New command "set strmopts" to control streamline density plus arrowhead spacing, size, and type. 
	      Support for negative streamline density values (between -10 and -1) for high-res grids. 
	 Misc:
	    * Mixed case ensemble names are now allowed
	    * Changes to improve masked contour labeling; also now works with "set vpage"
	    * Support for grib1 time range indicator 7, which subtracts the forecast time 
	      from the basetime to get the valid time
	    * Loosened restrictions in gribmap for mapping monthly data
	    * Previously undocumented command: "screen"
	    * Added "query calendar" command to discover calendar mode (unset, 365-day, or standard)
	    * Added ":" to list of delimiters for multiple dirs in GASCRP environment variable (now same as GASHP)
	    * Added "NULL" as an option for scale factor attribute name in the UNPACK descriptor file entry 
	      when add offset occurs alone
	    * Updated wgrib.c to version 1.8.1.2a
	    * Updated grib2scan to show start/ending times for averages, and valid times for instantaneous fields
	    * Handles GRIB2 Product Definition Template 4.15
	    * Added aliases 'line' for 'ln' and 'point' for 'pt' in 'set shp' and 'set kml' commands
	    * Added alias 'image' for 'img' in 'set kml' command
	 Bugs Fixed:
	    * Fixed errors when retrieving data from a very large defined object that has more than 2Gb elements.
	    * Patched memory leak when reading NetCDF attributes with lengths larger than 128
	    * Patched memory leaks in cdiff(), gr2stn(), and coll2gr() functions and collect() command
	    * Cannot have a leap and no-leap file open at the same time
	    * Calendar mode cleared with "reinit" only 
	    * Fixed big/little endian error when reading 2-byte binary data
	    * Fixed bug where 2-point contour segments are not drawn in upper right corner of grid
	    * Fixed contouring bug for very high res grids with vertices too close together to resolve graphically
	    * Fixed contouring bug for small grids that left a gap in contour line
	    * Added check for strictly increasing contour levels 
	    * Fixed streamlines in areas where grid boxes are not square (e.g. near the poles)
	    * Disabled erroneous vector/barb drawing in some projections (mollweide, orthographic, and robinson)
	    * Fixed erroneous results from 'q xy2gr' for some projections (returns -999.9 instead of garbage)
	

2010-10-03 <dasilva@opengrads.org>, Version GrADS 2.0.a9.oga.1
	* extensions/lats: updated lats_grid in liblats.c to use gaexpr;
	  this was need for 2.0.a9 because of some internal error in grads.
	* extensions/mf: downgraded ftn_grhilo.F to version in 2.0.a8.oga.1
	  because new version has some array bound issues.
	* extensions/shape: no longer built as this functionality can now
	  be found in the main GrADS codebase.
	* Merged OpenGrADS codebase with v2.0.a9 from COLA:
	Features:
	    * Support for creating shapefiles with new commands: 
	      set gxout shp, set shp, clear shp, set shpattr, q shpopts
	    * New option '-ln' to 'set kml' to write out a KML file containing 
	      contours (this option is always enabled)
	    * New forecast templates:
	      %fn2  forecast minutes 
	      %fhn  forecast time in hhnn (hours and minutes)
	      %fdhn forecast time in ddhhnn (days, hours, and minutes) 
	    * New option '-a' on startup to set the aspect ratio of the 
	      graphics page 
	    * new option '-C' on startup to colorize text in command window
	Misc:
	    * Default dimensions of printim changed to reflect page's aspect ratio
	    * Files that are templated on E but not T do not have to be padded 
	      with missing data if ensembles do not have same start/end times 
	      (for binary and SDF formats)
	    * Change to 'set sdfwrite' -- no dimension padding if -4d and -5d 
	      are not used
	    * Support for grib files with time unit code 13 or 14 for 15-min 
	      and 30-min increments
	    * Updated doc files in src distribution
	    * Changes to configuration scripts
	Bugs:
	    * fixed color selection for shaded plots: lev1 < val <= lev2
	    * Default cache size set properly with sdfopen
	    * Forecast hours no longer round up when forecast minutes > 30
	    * 'gxout stnmark' now draws reports at locations exactly equal 
	      to min/max lon/lat 
	    * handles grib2 records with junk bytes prefixed
	
2010-07-20 <dasilva@opengrads.org>, Version GrADS 2.0.a8.oga.2
	* src/gasdf.c: patch by Denis Nadeau to enable NetCDF-4
	  caching in sdfopen.

2010-07-20 <dasilva@opengrads.org>, Version GrADS 2.0.a8.oga.1
	* Merged with COLA's 2.0.a8, adopting its build
	* Usual changes for enabling UDXs and colorized text;
	  no longer uses gacols.h to simplify maintenance.
	
2009-12-14 <dasilva@opengrads.org>, Version GrADS 2.0.a7.oga.3.1
        * Changed size of command line from 500 to 1024; changes in
	  - grads.c
	  - gaudx.c
	Added support for Java; the following features are not yet
	supported:
	* NetCDF-4
	* OPeNDAP
	* Athena Widgets
	* X11 widgets 
	* Extensions
	Files modified:
	* Java/: all java sources are now here; NextedVM code built from C
	             sources remains under src/
	* configure.ac: hooks for Java through NestedVM
	* src/Makefile.am: hooks for Java through NestedVM
	* src/GNUmakefile: removed java targets
	* src/grads.c: hooks for NestedVM
	* src/gxhpng.c: disabled JPEG output under NestedVM 
	* src/gaudx.c: disabled extensions under NestedVM

2009-10-29 <dasilva@opengrads.org>, Version GrADS 2.0.a7.oga.3
	* extensions: includes 2 new extensions, ORB and LATS
	* gaudx.c: tweaks of the "q udx" output.

2009-10-04 <dasilva@opengrads.org>, Version GrADS 2.0.a7.oga.2
	* gxhpng.c: fixed bug related to MAXCLRS which was causing segmentation fault
	
2009-09-27 <dasilva@opengrads.org>, Version GrADS 2.0.a7.oga.1

	* Merged TRUNK with COLA's v2.0.a7; see below for
	  list of features in COLA's v2.0.a7. 
	* Replaced: Tthe following files have been takes "as is"
           - dodstn.c
           - gabufrtbl.c
           - gaddes.c
           - gaexpr.c
           - gagx.c
           - gaio.c
           - gasdf.c
           - gxchpl.c
           - gxcntr.c
           - gxshad.c
           - gxstrm.c
           - gxwmap.c
        * Merged: The following files have actually been merged to retain the UDX
	  hooks, the colorized text feature, and the MAXCOLS macro (COLA 
	  replaced the hardwired 100 with 255):
           - gacfg.c
           - gafunc.c
           - gauser.c
           - gautil.c
           - grads.h
           - gxX.c
           - gxmeta.c
           - gxps.c
           - gxsubs.c
	* extensions: added unit tests (ut.py) for most packages; tables now
	  include a "label" per package so that "q udx" becomes a bit more 
	  readable.
	
	From COLA's e-mail announcement for 2.0.a7:
	------------------------------------
	* New interface for the HDF5 data format 
	      http://iges.org/grads/gadoc/SDFdescriptorfile.html
	* New options for templating on Julian Day and Time axis indices
	      http://iges.org/grads/gadoc/templates.html
	* New "offt" syntax for variable specification to express time as an 
          offset from the variable's initial time instead of an absolute value
              http://iges.org/grads/gadoc/variable.html
              http://iges.org/grads/gadoc/offt.html
	* New function eloop() for obtaining E-varying results from expressions 
          that are unable to operate when E is a varying dimension
	      http://iges.org/grads/gadoc/gradfunceloop.html
	* New option for contour labels: 'set clab masked'
          This creates gaps in the contour lines for the labels, so rectangles 
          for the label background are not drawn; contour labels never overlap.
	      http://iges.org/grads/gadoc/gradcomdsetclab.html
	* Fixed sdfopen/xdfopen to detect only those data variables whose 
          dimensions match all of the grid dimensions
	* Added isnan() and isinf() tests at initial I/O 
	
2009-06-10 <dasilva@opengrads.org>, Version GrADS 2.0.a6.oga.1

	* Merged TRUNK with COLA's v2.0.a6; see below for
	  list of features in v2.0.a6. 
	* The following files have been takes "as is"
	  - dodstn.c
	  - gaddes.c
	  - gaexpr.c
	  - gagmap.c
	  - gagx.c
	  - gaio.c
	  - galloc.c
	  - gasdf.c
	  - gautil.c
	  - gxcntr.c
	  - gxdxwd.c
        * The following files have actually been merged to retain the UDX
	  hooks, the colorized text feature, and the MAXCOLS macro (COLA 
	  replaced the hardwired 100 with 255):
	  - gauser.c
	  - grads.c
	  - gxX.c
	  - gafunc.c
          - gxeps.c
	  - gxgif.c
	  - gxhpng.c
	  - gxps.c
	  - gxshad.c
	  - gxsubs.c
	  - gxtran.c
	* lats4d.sh: now installed at top level, set GAVERSION as detected v1, 
	  unless user has specified GAVERSION
	* Makefile.am: added full-install, bundle-install targets.
	* bundle_wrapper.pl: no longer abbreviate options; -v goes to utility now;
	  added --whereami option
	* bundle_create.pl: special handling of lats4d.sh; on Darwin, made sure
	  cairo dependencies are properly installed
	
	From COLA's e-mail announcement for 2.0.a6:
	------------------------------------
	    Features:
	    * Maximum number of user-defined colors increased from 99 to 255. 
	    * New commands "set undef" and "query undef" allow the user to 
	      control the undefined data value for all forms of GrADS output. 
	      This affects all the undefined values printed to screen in the 
	      'gxout stat' and 'gxout print' output, as well as the undefined 
	      values in fwrite, sdfwrite, and geotiff files. 
	      The default output undef value is -9.99e8.
	      N.B. THIS FEATURE CHANGES THE DEFAULT BEHAVIOR OF GrADS! 
	    Bugs:
	    * Fixed geotiff code to write out data in correct format
	    * Fixed the background image option to printim
	    * Fixed gancgrid I/O for variables with dimensions in a funky order (i.e. not ETZYX) 
	    * Fixed gancgrid response if request is outside of file's bounds
	    * Fixed 'close' command to properly reset defaults
	    * Fixed gribmap printing debugging and error messages in verbose mode
	    * Replaced library function call SDiscoordvar in gasdf.c 

	    Misc:
	    * more informative error messages when request is beyond file's limits
	    * added chsub option to xdfopen-style descriptors
	    * added -n flag to gr2stn for nearest neighbor option
	    * changed hard-coded undefs from -9.99e33 to -9.99e8 
	    * changed hard-coded XYBMAX from 500 to 5000 in gxshad.c
	    * configure and src code changes to get rid of XLIBEMU
	    * fixes to GUI configuration
	    * bug fix in gaio.c to change vars lskip and lgrib to type g2int
	    * changed var type to off_t and fixed? optimization issues for x86_64 builds 
	    * changed Pixel to gaPixel
	    * removed pcx11e.* from src directory
	    * changed #include syntax for gabufr.h in grads.h

2009-05-06 <dasilva@opengrads.org>, Version GrADS 2.0.a5.oga.5
	* gasdf.c: added SDFiscoordvar() to replace SDiscoordvar()
	* pytests: added model_nc.ctl and model_sds.nc
	* gxhpng.c: fixed bug related to "printim -b", MAXCLRS bug
	* gxeps.c: replaced hardwired 100 with MAXCLRS
        * gxps.c: replaced hardwired 100 with MAXCLRS
        * gxsubs.c: replaced hardwired 100 with MAXCLRS
	* extensions/gex.mk: added -I to FFLAGS, etc.
	* extensions/ipc: fixed umask bug in ipc_load()
	* extensions/mf: added Mike Fiorino extensions:
	  - ftn_clhilo.F   -- udc mfhilo expr cl :: find extrema in a 2-d field using 'CL' (contour) method
	  - ftn_grhilo.F   -- udc mfhilo expr gr :: find extrema in a 2-d field using 'GR' (grid) method
	  - ftn_esmrf.F    -- udf esmrf(expr) :: saturation vapor press (mb) from NCEP MRF global model
	  - ftn_linreg.F   -- udf linreg(expr :: linear regression 1-d field, outputs M and B in a=mx+b
	  - ftn_re2.F      -- udf re2(expr,... ) :: extension form of regrid2
	  - ftn_smth2d.F   -- udf smth2d(expr,...) :: shuman smoother-desmoother
	  - ftn_tcprop.F   -- udc tcprop expr ... :: calculate 2-d field properties inside a circle generally for tropical cyclones
	  - ftn_tmhilo.F   -- udc mfhilo expr tm :: Tim Marchok's Barnes analysis center locater
	  - ftn_uv2trw.F   -- udf uv2trw(u,v,lat,lon...) :: convert cartesian wind to cylindrical

2009-04-05 <dasilva@opengrads.org>, Version GrADS 2.0.a5.oga.4
	* Added Steve Bloom's zooming scripts to merra/nomads GUIs
	* Documentation.php: added
	* doc/opengrads: added
	* bundle/bundle_create.sh: docs now part of Bundle 
	* gagui.x: now Cmd call back expands %s into default var
	* gacols.h: new defining file defining max number of colors;
	  the following files now make use of this information:
          - gauser.c
          - grads.h
          - gxX.c
          - gxeps.c
          - gxgif.c
          - gxps.c
          - gxsubs.c
        * gatypes.h: #ifdef so that it only gets included once
	* gxudx.c: added function to update pst
	* gxyat.c: expanded help for set_rgba, minor revisions
	* extension/re/re.c: in short hand mode, default (1,1) is
	  no longer shifted by 1/2 delta lon, delta lat.
	* acinclude.m4: when no supplibs are found, use ./null
	* src/Makefile.am: again builds without the supplibs
	
2009-03-04 <dasilva@opengrads.org>, Version GrADS 2.0.a5.oga.3
	* Revised Win32 build, adopting the OpenGrADS Bundle directory
	  structure. No longer dependent on PCGrADS_base.
	* bundle/: most scripts have been revised to handle Windows;
	  for this reason a new tag has been issued. Added VBScript
	  wrappers.
	* main_win32.c: new directory names
	* win32/: added icons/ and utils/ directories; Xming is under
	  here when checked out with module name "Win32Grads"; added
          75dpi fonts.
        * gagui.c: small mod of Open CB to handle '@'
	* Getting_Started.html: added to main source directory
        * libs/scripts: revised merra.gui for fonts, added nomads.gui
	
2009-02-26 <dasilva@opengrads.org>, Version GrADS 2.0.a5.oga.2
	* gaudx.c: fixed bug that caused "exec script" to fail
	* bundle_wrapper.pl: portable implementation of "symlinks"
	  now it should work on USB mem sticks and non-Unix file
	  systems where symlinks do not exist.

2009-02-22 <dasilva@opengrads.org>, Version GrADS 2.0.a5.oga.1

	* Merged GRADS2_DEV_BRANCH with COLA's v2.0.a5; see below for
	  list of features in v2.0.a5. Replaced all *.[ch] files with 
	  COLA's version (see below)

	From COLA's e-mail announcement of 2.0.a5:
	-----------------------------------------
	* Bug fixes:
          - PDEF lcc now works properly in the Southern Hemisphere
          - sdfwrite output has correct time axis units
	* Misc:
          - Added support for templating on T but not E for 
	    self-describing files
          - Added support for optional padding of sdfwrite output 
	    to include fixed dimensions
          - Added check in gribmap for non-supported grib2 product 
	    definition templates
	  - Added support for jpeg image output format with printim

	Local OpenGrADS patches:
	-----------------------
	* gasdf.c: implemented same bug fix as in 2.0.a4.oga.4
	* XLIBEMU: removed all code related to XLIBEMU/XLIBEMU32
	* pcx11e.*: removed
	* acinclude.m4: better handling of netcdf-4 static libs
	* configure.ac: removed XLIBEMU, added geotiff support
	* Makefile.am: add bundle creating targets
	* grads.c: renamed main() --> Main(); Java patches have been
	  overwitten for the moment; initialized UDXT package.
	* gafunc.c: reintroduced UDXT hooks
	* gauser.c: ditto
	* gxmeta.c: hooks for on-line gxyat
	* pytests: added OPeNDAP tests, including for station data.
	* bundle/: utilities for handling bundles
	* extensions/: build revised; gfortran is the primary compiler 
	
2009-02-11 <dasilva@opengrads.org>, Version GrADS 2.0.a4.oga.4

	* gasdf.c: fixed bug that cause coredump on x86_64
	* configure.ac: mods for netcdf-4 build
	* Makefile.am: same
	* gaudx.c: returns when Udx is NULL

2009-01-24 <dasilva@opengrads.org>, Version GrADS 2.0.a4.oga.3

	* gaudx.c: simplied interface to grads main code, added
	  API level to udxt
	* gex.h: added (replaces gapi.h)
	* grads.c: call to gaudc() for initialization
	* gauser.c: call to gaudc()
	* gafunc.c: call to gaudf()

2009-01-07 <dasilva@opengrads.org>, Version GrADS 2.0.a4.oga.2

	* re.c: eliminated debugging printouts when doing gaussian
	  interpolation
	* gagui.c: updated CmdStr calback: because GetStr() no longer
	  works reliably, a hand coded replacement was adopted
	* main_win32.c: GrADSGui now loads "default.gui"

2009-01-02 <dasilva@opengrads.org>, Version GrADS 2.0.a4.oga.1

	* Merged GRADS2_DEV_BRANCH with COLA's v2.0.a4. The following
	  files have been updated: gaddes.c, gafunc.c, gagx.c, gaio.c,
	  galloc.c, gasdf.c, gauser.c, gautil.c, grib2scan.c, gscrpt.c,
	  gxeps.c, gxmeta.c, gxtran.c. All these files have been
	  replaced with COLA sources except for gauser.c where a Win32
	  patch differed (the OpenGrADS version of the patch was kept.)

	From COLA's ChangeLog:
	---------------------
        * Bugs:
	- Fixed function stnave(): error occurred when setting undef
	  mask for result if some reports were missing. Led to
	  incorrect averages!!
	- Fixed function asum(): error occurred when setting undef
	  mask for final result.  Led to answer being always
	  undefined!!
	- Fixed seg fault for non-templated netcdf files when X dim
	  wraps the globe and other dims are fixed.
	- No precision errors for some hourly GDS data sets.
	* Misc:
	- 'set frame circle' now works for orthograhic projections
	- Support for grib2 grid 204 (curvilinear orthogonal)
	- The color of a constant grid is whatever 'set ccolor' is,
          instead of being fixed red
	- The 'q ctlinfo' and 'q file' output is enhanced and more
	  accurate. (This one helps GDS 2.0 know when a data set is 4D
	  or 5D.)
	- Create postscript output from inside GrADS using 'print'
	  command without 'enable print'

	OpenGrADS local patches: 
	-----------------------
        * gafunc.c: added function re(), implemented in file re.c;
	  Makefile.am updated accordingtly.
	
	* Java: initial work towards Java build using NestedVM (Note: it
	  does not build out-of-the-box yet.)
	- grads.c: added ifdefs for __nestedvm__ 
        - gxJava.c: added, implements bridge for graphics primitives
	  in Java
	- gxJ.java: added, Java implementation of graphics primitives
	- JGrads.java: added, Java main program/bridge
	- GNUmakefile: targets for JVM build
	
2008-08-19 <dasilva@opengrads.org>, Version GrADS 2.0.a3.oga.1
	* merged GRADS2_DEV_BRANCH with COLA's v2.0.a3. This time took
          COLA sources pretty much AS IS, except for
	  - Changed #include <config.h> to #include "config.h"
	  - Removed Arlindo's copyright notice in gacfg.c, kept COLA's 
	  - Changed Pixel to gaPixel in gatypes.h because of conflicts
	    with libsx.h
	  - Updated copyright notice in pcx11e.[ch]
	  - Changed main() to grads_main() in grads.c
	  - Introduced main.c and main_win32.c
	  - Commented out libdap_version() and libgadap_version() in gacfg.c
        * Implemented Win32 Superpack build
	* gscrpt.c, gauser.c: more CR/LF patches for win32
	* From COLAS e-mail announcing v2.0.a3...

        Features:
	* New set of commands for writing out netcdf files.  
          'sdfwrite'       (creates the file, takes a defined variable name as an argument) 
          'set sdfwrite'   (sets the output filename, default is grads.sdfwrite.nc) 
          'query sdfwrite' (shows the output filename, format, and user-specified attributes)
          'set sdfattr'    (sets attribute metadata for the output file) 
          'clear sdfwrite' (resets the sdf output filename and releases any attributes)
	* Added "PDEF GENERAL" as an data-format independent alternative to "PDEF FILE".

	Fixes: 
	* Station data handling via OPeNDAP (enabled with libgadap) works with GDS 2.0.
	* The stnmap utility does not seg fault when some templated data files are missing.
	* Added PDEF handling for 2-D native HDF and NetCDF files 
	* Data format dependence in PDEF FILE better documented;
          warning issued when data set that uses PDEF FILE is opened. 
	* Memory leak in scorr().
	* The index files created by gribmap are portable
	* parsing of VECTORPAIRS entry in descriptor file does not seq fault 

        Misc:
	* Graphical display window is sized according to the height of the display;
          portait is 90% of display height, landscape is 60%.
	* Changes to the configure tools to facilitate building from source 
        * The sdfopen command handles files with "axis" attribute
	* Output from 'query config' more complete, contains some supplib versions
	* Support for NetCDF and HDF files with spaces in the variable names;
          substitute ~ for <space> in varname=>alias syntax.

2008-05-10 <dasilva@opengrads.org>, Version GrADS 2.0.a2.oga.1
	* merged GRADS2_DEV_BRANCH with COLA's v2.0.a2.
	* From COLAS e-mail announcing v2.0.a2:
	    Features:
	    * ready for use with GDS-2.0 to access 5-dimensional data 
	      sets via OPeNDAP
	    * support for thinned grib2 grids 
	    * gribmap has -0 option for grib2
	    * allows non-float data types for hdf coordinate axes 
	    Bug Fixes:
	    * memory leak when replacing an existing defined variable
	    * multiple fixes for netcdf/hdf handling (templating, 
	      zrev, %nodim%, et al.)
	    * contour interval and label handling for double precision numbers
	    * changed 'query dims' output for ensembles
	    * fixed gribmap's handling of data sets templated over T but not E
	    * fixed 'set annot' command and other minor bugs
	* Added Grib-2 specific tests to pytests/
	* gautil.c: patched getvnm() so that it can handle HDF-EOS variable
	names with spaces in them. In the ctl the user specifies '~' where 
	a space would go, making this a one liner patch.
	* src/gagx.c: Enhancements to fwrite in function gafwrt():
	    * When fwrite output file name is "-" output is sent to STDOUT
	    * Now uses stat() rather fopen(...,"r") to check is the file already
		exists. This is important for using fwrite on FIFOs - a deadlock
		occurs if a FIFO is opened for both read/write by a process.
	
2008-02-13 <dasilva@opengrads.org>, Version GrADS 2.0.a1.oga.1
	* merged GRADS2_DEV_BRANCH with COLA's v2.0.a1
	* bug fixes since v2.0.a0 as reported by COLA
	0. Detection of linear and wrapping axes for netcdf 
	   files opened with sdfopen
	1. GRIB2 grids that have a bitmap were being drawn upside down
	2. Fixed display for gxout=model and gxout=grid
	3. Fixed handling of templated netcdf data sets opened with xdfopen
	4. Fixed detection of unlimited axis in hdf files opened with sdfopen
	5. Fixed I/O of PDEF files
	6. Fix to gribmap when creating index files >250mb 
	7. Added some debug statements for detection of errors in calls 
	   to seekgb() in the grib2c library. 

2008-01-31 <dasilva@opengrads.org>, Version GrADS 2.0.a0.oga.1
	* This version temporarily placed under GRADS2_DEV_BRANCH
	* Adapted build mechanism from v1.9.0-rc1 for v2.0.a0
	* grads.h: no longer includes gasdf.h, and gasdf prototypes have
	been moved into gasdf.h. This is important to avoid including
	"netcdf.h" from NetCDF when building with NC-DAP (OPeNDAP
	implementation of NetCDF).
	* gagui.c, gsgui.c: replaced with v1.9.0-rc1 to cope with new
	supplibs, also revised license terms to GPL 2
	* gatypes.h: renamed Pixel->gaPixel to avoid conflict with new supplibs. 
	* grads.c: changed main() to Main() for Win32; added main.c, main_win32.c
	* GNUmakefile: added for Win32
	* w32_dist.csh: added for Win32
	* pcx11e.[ch]: updated license to GPL
	* gacfg.c: removed (c) 1997 Arlindo da Silva + old, unclear, license terms

2008-01-31 <dasilva@opengrads.org>, Version GrADS 2.0.a0
	* Imported Version 2.0.a0 sources from COLA into COLA vendor branch.

